## python-fissix 21.6.6

=== requirements.txt ===
appdirs==1.4.4

## python-fissix 20.8.0

=== debian/changelog ===
python-fissix (20.8.0-2) unstable; urgency=medium

  * Do source-only upload.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Tue, 27 Oct 2020 19:38:28 -0400

python-fissix (20.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #944989)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sat, 10 Oct 2020 20:04:25 -0400

=== debian/control ===
Source: python-fissix
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-python
             , python3-all
             , python3-setuptools
             , python3-appdirs
             , python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/jreese/fissix
#Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fissix
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fissix.git

Package: python3-fissix
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
       , python3-appdirs
Description: backport of lib2to3 that supports the latest Python3 grammars
 Fissix is a backport of lib2to3, a CST (concrete syntax tree)
 implementation, that supports various features and grammars that are
 more up-to-date than the latest upstream CPython version.  It is the
 parser that Bowler uses to make safe, large scale code modifications
 and smart refactoring.  It supports source written in both Python 2
 and 3.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fissix
export PYBUILD_TEST_PYTEST=1
PY3VERS = $(shell py3versions -r -v)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	for pyv in $(PY3VERS); do \
	  rm -rf debian/python3-fissix/usr/lib/python$${pyv}/dist-packages/fissix/tests; \
	done

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/fissix/fissix-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.\
(?:gz|bz2|xz)))

## python-fissix 21.6.6

=== debian/changelog ===
python-fissix (21.6.6-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Remove dead code, which is already executed
    by pybuild anyway
  * Cleanup tests dir after dh_auto_test (Closes: #1025380)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 08 Dec 2022 10:22:27 +0000

python-fissix (21.6.6-2) unstable; urgency=medium

  * Team upload.
  * d/control: Build using the pyproject pybuild plugin.
  * d/rules, d/tests: run tests with all available python versions.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 02 Dec 2022 12:32:23 -0500

python-fissix (21.6.6-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * watch: Switch upstream source from PyPI to Github.
  * Import Github release tarball as fissix-20.8.0.1+really20.8.0.tar.gz.
  * Add flit to Build-Depends, and set it as the pybuild system in rules; the
    Github tarball does not provide setup.py, and this is now required
    (Closes: #973394).
  * Add non-superficial autopkgtests.
  * Add pybuild.testfiles to provide test files and necessary assets for
    build-time pybuild tests.
  * Switch from looping over py3versions to globbing to remove test files
    that my be installed to /usr/lib/python3/dist-packages at some point in
    the future.
  * Override execute_before_dh_auto_test to copy test assets into place.
    Pybuild.testfiles was not flexible enough for this purpose.
  * Update my email address.
  * Import new upstream release 21.6.6.
  * Declare compliance with Standards-Version: 4.6.0 (no changes required).

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Scott Kitterman ]
  * Replace python-setuptools in build-depends with flit so pybuild flit
    plugin is used

 -- Nicholas D Steeves <sten@debian.org>  Fri, 11 Feb 2022 09:09:48 -0500

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-python
+             , flit
+             , pybuild-plugin-pyproject
              , python3-all
-             , python3-setuptools
              , python3-appdirs
              , python3-pytest <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jreese/fissix
 #Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fissix

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fissix

PY3VERS = $(shell py3versions -s -v)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/python3-fissix/usr/lib/python3*/dist-packages/fissix/tests

execute_before_dh_auto_test:
	$(foreach pyv,$(PY3VERS),mkdir -p .pybuild/cpython3_$(pyv)_fissix/build/fissix/fissix;)
	$(foreach pyv,$(PY3VERS),cp -a tests .pybuild/cpython3_$(pyv)_fissix/build/fissix;)
	$(foreach pyv,$(PY3VERS),cp -a fissix/tests fissix/Grammar.txt .pybuild/cpython3_$(pyv)_fissix/build/fissix/fissix;)

execute_after_dh_auto_test:
	$(foreach pyv,$(PY3VERS),rm -rf .pybuild/cpython3_$(pyv)_fissix/build/fissix/tests;)
	$(foreach pyv,$(PY3VERS),rm -rf .pybuild/cpython3_$(pyv)_fissix/build/fissix/fissix/tests;)

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-pytest, python3-fissix

## python-fissix 24.4.24

=== debian/changelog ===
python-fissix (24.4.24-2) unstable; urgency=medium

  * Team upload.
  * Replace deprecated python3-appdirs
    with python3-platformdirs (Closes: #1067992)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 22 Sep 2024 19:48:39 +0200

python-fissix (24.4.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 25 May 2024 12:56:09 +0200

=== debian/control ===
Source: python-fissix
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nicholas D Steeves <sten@debian.org>
Build-Depends: debhelper-compat (= 13)
             , dh-sequence-python3
             , flit
             , pybuild-plugin-pyproject
             , python3-all
             , python3-platformdirs
             , python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/jreese/fissix
#Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fissix
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fissix.git

Package: python3-fissix
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
       , python3-platformdirs
Description: backport of lib2to3 that supports the latest Python3 grammars
 Fissix is a backport of lib2to3, a CST (concrete syntax tree)
 implementation, that supports various features and grammars that are
 more up-to-date than the latest upstream CPython version.  It is the
 parser that Bowler uses to make safe, large scale code modifications
 and smart refactoring.  It supports source written in both Python 2
 and 3.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 PY3VERS = $(shell py3versions -s -v)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
